* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background: #f5f6fa;
  color: #1f1f1f;
}

header {
  background: #111;
  position: sticky;
  top: 0;
  z-index: 1000;
  box-shadow: 0 2px 10px rgba(0,0,0,0.3);
}

.container-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
}

.logo {
  width: 120px;
  height: 40px;
  transition: transform 0.3s ease;
}

.logo:hover {
  transform: scale(1.1);
}


nav ul {
  list-style: none;
  display: flex;
  gap: 10px;
}

nav a {
  color: white;
  text-decoration: none;
  padding: 6px 12px;
  border-radius: 6px;
  transition: 0.2s ease;
  font-size: 14px;
}

nav a:hover {
  background: #fff;
  color: #000;
}

main {
  flex: 1;
}

.card-home {
  padding: 40px 20px;
  max-width: 1200px;
  margin: auto;
}

.home-conteudo {
  display: flex;
  gap: 40px;
  align-items: flex-start;
  margin-bottom: 10px;
}

.texto {
  flex: 1;
  max-width: 80ch;
}

.home-conteudo h2 {
  font-size: 28px;
  margin-bottom: 10px;
}

.home-conteudo p {
  font-size: 17px;
  line-height: 1.6;
  color: #444;
}

.worlds {
  flex: 0 0 auto;
}

.worlds img {
  width: 500px;
  height: 300px;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.15);
}

.texto-baixo {
  max-width: 600px;
}

.texto-baixo p {
  font-size: 16px;
  line-height: 1.3;
  color: #444;
  margin-top:10px;
}


.section {
  padding: 50px 20px;
  max-width: 900px;
  margin: auto;
}

.section h2 {
  font-size: 26px;
  margin-bottom: 15px;
}

.section p {
  line-height: 1.6;
  color: #444;
  margin-bottom: 10px;
}

.contato-box {
  background: #111;
  color: white;
  padding: 20px;
  border-radius: 10px;
  margin: 20px 0;
  line-height: 1.6;
}

form {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 15px;
}

input,
textarea {
  padding: 10px;
  border-radius: 6px;
  border: 1px solid #ddd;
  outline: none;
  font-size: 14px;
}

input:focus,
textarea:focus {
  border-color: #111;
}

button {
  padding: 10px;
  background: #111;
  color: white;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-weight: bold;
  transition: 0.2s;
}

button:hover {
  background: #333;
}

footer {
  text-align: center;
  padding: 20px;
  background: #111;
  color: white;
  margin-top: auto;
  font-size: 14px;
}

.gap {
  width: 100%;
  height: 150px;
  border-radius: 10px;
  cursor: pointer;
  box-shadow: 0 8px 20px rgba(0,0,0,0.15);
}

.galeria {
  padding: 50px 20px;
  max-width: 1000px;
  margin: auto;
  text-align: center;
}

.lista-itens {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 30px;
  margin-top: 30px;
  justify-items: center;
}

.item {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
}

.item img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 10px;
  transition: 0.3s ease;
}

.item span {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.681);
  color: white;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  opacity: 0;
  transition: 0.3s ease;
  padding: 10px;
}

.item:hover img {
  transform: scale(1.1);
}

.item:hover span{
  opacity: 1;
}
.redes-sociais i {
  font-size: 24px;
  color: white;
  background-color: #8da42c; 
  width: 25px;
  height: 25px;
  border-radius: 50%; 
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin: 5px;
  transition: 0.3s;
}

.redes-sociais img {
  width: 25px;
  height: 25px;
}
.redes-sociais i:hover {
  filter: brightness(1.2); 
}

.card{
  display: flex;
  height: 300px;
  justify-content: space-between;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  background: linear-gradient(145deg, #111, #1c1c1c);
  width: 100%;
  max-width: 260px;
  padding: 15px;
  border-radius: 15px;
  border: 1px solid #2a2a2a;
  transition: 0.3s ease;
}

.card h1 {
  color: #f1c40f;
  font-size: 18px;
  text-align: center;
  margin-bottom: 5px;
}

.par-sobre{
    font-size: 2.5rem;
    color: #ffffff;
    line-height: 1.8;
    margin-bottom: 20px;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.7);
    padding: 20px 30px;
    display: flex;
    justify-content: center;
}

.p-1{

    font-size: 1.1rem;
    color: #ffffff;
    line-height: 1.8;
    margin-bottom:auto;
    border-radius: 10px;
    padding: 20px 30px;
    background-color: #1f1f1fb9;
    text-align:justify;
    margin: 20px auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    max-width: 900px;
    width: 100%;
}

.p-2{

    font-size: 1.1rem;
    color: #ffffff;
    line-height: 1.8;
    padding: 30px;
    background-color: #1f1f1fb9;
    border-radius: 10px;
    text-align:justify;
    margin: 20px auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    max-width: 900px;
    width: 100%;
}

.gap-sobre{
    display: block;
    margin: 20px auto;
    max-width: 100%;       
    width: 600px;         
    height: 250px;         
    object-fit: cover;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    padding: 10px;
    background-color: #1f1f1f;
}

.section-sobre{
    background-image: url(../assets//leagueoflegends-1776810405901-8320.jpg);
    height: 100%;
    background-size: cover;
    background-position: center;


}

.itens-scroll {
  padding: 40px;
  color: white;
}

.scroll-container {
  display: flex;
  gap: 20px;
  overflow-x: auto;
  padding: 10px;
}

.scroll-container img {
  width: 80px;
  height: 80px;
  flex-shrink: 0;
  transition: transform 0.3s;
}

.scroll-container img:hover {
  transform: scale(1.1);
}
